<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_PackageList StructType
 * @subpackage Structs
 */
class JP_PackageList extends AbstractStructBase
{
    /**
     * The Packages
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_PackagesCodeList
     */
    public $Packages;
    /**
     * Constructor method for JP_PackageList
     * @uses JP_PackageList::setPackages()
     * @param \ArrayType\ArrayOfJP_PackagesCodeList $packages
     */
    public function __construct(\ArrayType\ArrayOfJP_PackagesCodeList $packages = null)
    {
        $this
            ->setPackages($packages);
    }
    /**
     * Get Packages value
     * @return \ArrayType\ArrayOfJP_PackagesCodeList|null
     */
    public function getPackages()
    {
        return $this->Packages;
    }
    /**
     * Set Packages value
     * @param \ArrayType\ArrayOfJP_PackagesCodeList $packages
     * @return \StructType\JP_PackageList
     */
    public function setPackages(\ArrayType\ArrayOfJP_PackagesCodeList $packages = null)
    {
        $this->Packages = $packages;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_PackageList
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
